#!/bin/bash

####################################################################################################
#
# WARNING: DO NOT EDIT THIS FILE BY HAND AS IT WILL BE OVERWRITTEN BY SKELETOR WHEN YOU RUN UPDATE
#
####################################################################################################

if [[ -d man ]]; then
	(
		cd man/src || exit 1
		mkdir -p ../build
		for file in *.scd; do
			out_file="../build/${file/.scd/}"

			scdoc <"${file}" >"${out_file}"
			gzip -f "${out_file}"
		done
	)
fi

if [[ -d node ]]; then
	(
		cd node || exit 1
		npm install
		if [[ "$MODE" == "release" ]]; then
			NODE_ENV="production" npm run build --workspaces
		else
			NODE_ENV="development" npm run build --workspaces
		fi
	)
fi

if [[ -d rust ]]; then
	(
		cd rust || exit 1
		if [[ "$MODE" == "release" ]]; then
			cargo build --release
		else
			cargo build
		fi
	)
fi
